%global debug_package %{nil}

Name:             pyatspi
Version:          2.46.0
Release:          1
Summary:          Python client bindings for D-Bus AT-SPI
License:          LGPLv2 and GPLv2
URL:              http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:          http://download.gnome.org/sources/pyatspi/2.46/%{name}-%{version}.tar.xz

BuildArch:        noarch
BuildRequires:    at-spi2-atk-devel atk-devel dbus-devel dbus-glib-devel glib2-devel
BuildRequires:	  gtk3-devel libxml2-devel gtk2-devel
BuildRequires:    pygobject3-devel python3-dbus python3-devel
BuildRequires:    make

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.

%package -n     python3-pyatspi
Summary:        Python3 bindings for at-spi
Requires:       at-spi2-core python3-gobject

%description -n python3-pyatspi
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.

%prep
%autosetup -p1

%build
%configure --with-python=python3 --enable-tests
make

%install
%make_install

sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' examples/magFocusTracker.py

%check

%files -n python3-pyatspi
%license COPYING COPYING.GPL
%doc AUTHORS README
%doc examples/magFocusTracker.py
%{python3_sitelib}/pyatspi/

%changelog
* Thu Nov 03 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 2.46.0-1
- Update to 2.46.0

* Wed Apr 20 2022 dillon chen <dillon.chen@gmail.com> - 2.38.2-1
- Update to 2.38.2

* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2.38.1-1
- Upgrade to 2.38.1
- Update Version, Release, Source0, BuildRequires, stage 'build'

* Wed Oct 21 2020 jinzhimin<jinzhimin2@huawei.com> - 2.33.92-3
- remove python2-pyatspi subpackage

* Wed Sep 9 2020 chengguipeng<chengguipeng1@huawei.com> - 1.1.2-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source0 url

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.2-1
- Package init
